Add campaign recipients
Adds up to 1,000 recipients to a campaign that has not been launched. A number already on the campaign is skipped. Invalid entries are reported, not added. A campaign that has been launched answers 409. Send projectId in the body when using a team API key.
Requires campaigns:manage. Project tokens only access resources in their own project.
curl --request POST \
--url https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
{
"phone": "<string>",
"variables": {}
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipients: [{phone: '<string>', variables: {}}]})
};
fetch('https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients"
payload = { "recipients": [
{
"phone": "<string>",
"variables": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients"
payload := strings.NewReader("{\n \"recipients\": [\n {\n \"phone\": \"<string>\",\n \"variables\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added": 1,
"recipientCount": 1,
"duplicateCount": 1,
"invalidCount": 1,
"invalidRows": [
{
"row": 2,
"reason": "missing_phone"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}Authorizations
Send your team API key or project token as Authorization: Bearer <token>. The credential must have the required permissions. Project tokens can access only their own project.
Path Parameters
Identifier for the campaign.
Body
At most 1,000 recipients per request.
Value constraints
| Constraint | Accepted input |
|---|---|
| Array size | 1 through 1000 items |
1 - 1000 elementsShow child attributes
Show child attributes
Identifier of the Polymorfa project that owns this resource.
Value constraints
| Constraint | Accepted input |
|---|---|
| Format | uuid |
Response
Success
Structured data carried by this object.
Show child attributes
Show child attributes
Was this page helpful?
curl --request POST \
--url https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recipients": [
{
"phone": "<string>",
"variables": {}
}
]
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recipients: [{phone: '<string>', variables: {}}]})
};
fetch('https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients"
payload = { "recipients": [
{
"phone": "<string>",
"variables": {}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.polymorfa.com/platform/campaigns/{campaignId}/recipients"
payload := strings.NewReader("{\n \"recipients\": [\n {\n \"phone\": \"<string>\",\n \"variables\": {}\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}false{
"data": {
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"added": 1,
"recipientCount": 1,
"duplicateCount": 1,
"invalidCount": 1,
"invalidRows": [
{
"row": 2,
"reason": "missing_phone"
}
]
}
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"param": "<string>",
"request_id": "<string>",
"request_log_url": "<string>"
},
"data": null,
"docs": "<string>"
}